## ratmen-2.2.3.tar.gz

=== Makefile ===
# Makefile for ratmen
#
# Jonathan Walther
# djw@reactor-core.org
#
# modified by
# Zrajm C Akfohg
# ratmen-mail@klingonska.org

PROG       = ratmen
DISTFILES  = ChangeLog LICENSE Makefile README README.9menu debian ratmen.c $(EBUILDFILE)
OUTFILES   = $(PROG) $(PROG).1 $(TARFILE)

FULLNAME   = $(PROG)-$(VERSION)
TARFILE    = $(FULLNAME).tar.gz
EBUILDFILE = $(FULLNAME).ebuild
UPLOADDEST = psilocybe.update.uu.se:public_html/programs/$(PROG)

# extract version by running './ratmen --version'
VERSION = $(shell                     \
    if [ -e ./$(PROG) ]; then         \
    ./$(PROG) --version |             \
        awk "{                        \
            gsub(/\([^()]*\)/, \"\"); \
            gsub(/^[^0-9]*/, \"\");   \
            print \$$1;               \
            exit;                     \
        }";                           \
    else                              \
        echo XXX;                     \
    fi;                               \
)


PREFIX=/usr/local
MANDIR=$(PREFIX)/man

OPTIMIZE ?= -Os
DEBUG    ?= 
WARN     ?= -Wall -ansi -pedantic

CC     = gcc
LIBS   = -L/usr/X11R6/lib -lX11
CFLAGS = $(OPTIMIZE) $(WARN) $(DEBUG)

all: doc $(PROG)

$(PROG): $(PROG).c
	$(CC) $(CFLAGS) $< $(LIBS) -o $@

# FIXME: $(PROG) should be uppercased when used with `-n' below
$(PROG).1: $(PROG).c
	pod2man -s1 -c '' -n$(PROG) -r"Zrajm C Akfohg" $(PROG).c $(PROG).1

clean:
	rm -f $(OUTFILES)

$(TARFILE): $(PROG)
	mkdir -p $(FULLNAME)
	cp -pr $(DISTFILES) $(FULLNAME)/
	tar czf $(TARFILE) $(FULLNAME)
	rm -rf $(FULLNAME)

dist: $(TARFILE)

dist_clean:
	rm -f $(TARFILE)

doc: $(PROG).1

install: $(OUTFILES)
	install -D -p -m 755 -s $(PROG) $(PREFIX)/bin/$(PROG)
	install -D -p -m 755 $(PROG).1 $(MANDIR)/man1/$(PROG).1

upload: dist
	scp -p $(TARFILE) $(EBUILDFILE) $(UPLOADDEST)

#[[eof]]

=== debian/changelog ===
ratmenu (1.9.2) unstable; urgency=low

  * Updated to be Debian Policy version 3.5.6.1 compliant
  * Removed the unneeded postinst and prerm files
  * Modernized and simplified the rules file
  * Fixed URL in copyright file pointing to source code for this program

 -- Jonathan Walther <krooger@debian.org>  Sat,  8 Jun 2002 12:00:17 -0700

ratmenu (1.9.1) unstable; urgency=low

  * Updated the man page to be even clearer
  * Fixed quoting of the ' character in the manpage

 -- Jonathan Walther <krooger@debian.org>  Sun,  2 Jun 2002 14:16:39 -0700

ratmenu (1.9) unstable; urgency=low

  * Updated the man page to cover the new -back option

 -- Jonathan Walther <krooger@debian.org>  Sun,  2 Jun 2002 13:46:35 -0700

ratmenu (1.8) unstable; urgency=low

  * Added -back feature, to create hierarchies of menus
  * Minor fixes to spelling and documentation

 -- Jonathan Walther <krooger@debian.org>  Sun,  2 Jun 2002 11:26:52 -0700

ratmenu (1.7) unstable; urgency=low

  * Fixed bug that caused screen to blank if window was too large
  * Now Suggests the ratpoison window manager

 -- Jonathan Walther <krooger@debian.org>  Sat, 15 Dec 2001 12:53:24 -0700

ratmenu (1.6) unstable; urgency=low

  * Changed default resource to "ratmenu" from "9menu"

 -- Jonathan Walther <krooger@debian.org>  Thu, 11 Oct 2001 12:15:45 -0700

ratmenu (1.5) unstable; urgency=low

  * Changed syntax so menu items can include the ':' character
  * Updated the manpage to document the available keystrokes

 -- Jonathan Walther <krooger@debian.org>  Wed, 10 Oct 2001 13:00:17 -0700

ratmenu (1.4) unstable; urgency=low

  * Added support for more navigation keystrokes
  * Fixed the manpage
  * Added back in the -bg, -fg, -font options
  * Made navigation style and menu alignment configurable

 -- Jonathan Walther <krooger@debian.org>  Sun, 23 Sep 2001 16:15:42 -0700

ratmenu (1.2-1) unstable; urgency=low

  * Took out all mouse handling and replaced it with keyboard commands
  * Removed iconification code
  * Removed various options that aren't needed in ratpoison
  * Updated the manpage

 -- Jonathan Walther <krooger@debian.org>  Sun, 16 Sep 2001 10:10:20 -0700

9menu (1.5-2) unstable; urgency=low

  * Fixed Build-Depends line (added debhelper)
  * Changed maintainer email address.

 -- Stephen Frost <sfrost@debian.org>  Wed,  4 Jul 2001 11:39:45 -0400

9menu (1.5-1) unstable; urgency=medium

  * New upstream version
  * Added md5sums correctly

 -- Stephen Frost <sfrost@snowman.net>  Thu, 7 Dec 2000 22:44:38 -0500

9menu (1.4-10.2) unstable; urgency=low

  * New Maintainer
  * Fixed gcc warnings.

 -- Stephen Frost <sfrost@snowman.net>  Thu, 7 Dec 2000 20:58:13 -0500

9menu (1.4-10.1) unstable; urgency=medium

  * Non-maintainer upload 
  * debian/postinst, debian/postrm: added missing "#!/bin/sh -e" line 
    (closes: bug #77413).

 -- An Thi-Nguyen Le <anle@debian.org>  Mon, 27 Nov 2000 18:46:45 -0600

9menu (1.4-10) unstable; urgency=low

  * /usr/doc -> /usr/share/doc
  * Changed CFLAGS and INSTALL_PROGRAM in debian/rules according to
    the new policy.
  * Added build dependencies.
  * Standards-Version: 3.2.1

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 11 Nov 2000 22:37:30 +0100

9menu (1.4-9) unstable; urgency=low

  * Orphaned the package.

 -- Joel Klecker <espy@debian.org>  Wed,  2 Jun 1999 00:42:15 -0700

9menu (1.4-8) unstable; urgency=low

  * New maintainer.

 -- Joel Klecker <jk@espy.org>  Wed,  17 Dec 1997 09:59:05 -0800

9menu (1.4-7) unstable; urgency=low

  * Compile against libc6

 -- Karl Sackett <krs@debian.org>  Mon,  3 Nov 1997 15:30:53 -0500

9menu (1.4-6) unstable; urgency=low

  * Changed maintainer's address.

 -- Karl Sackett <krs@debian.org>  Thu, 31 Oct 1996 09:34:48 -0600

9menu (1.4-5) unstable; urgency=low

  * Converted to new package standards.

 -- Karl Sackett <krs@caos.aamu.edu>  Thu, 3 Oct 1996 10:28:01 -0500

1.4-4
	* support files now architecture-independent
1.4-3
	* Added Debian support files.
	* Corrected prefix, exec_prefix in debian.rules.
	* Moved man page from 9menu.1x to 9menu.1

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: ratmenu
Section: x11
Priority: optional
Maintainer: Jonathan Walther <krooger@debian.org>
Build-Depends: xlibs-dev, debhelper (>=4.0.11)
Standards-Version: 3.5.6.1

Package: ratmenu
Suggests: ratpoison, keylaunch
Architecture: any
Depends: ${shlibs:Depends}
Description: Creates X menus from the shell.
 This is ratmenu, a simple program that allows you to create X menus from
 the shell.  It was forked from 9menu version 1.5, to provide specific support
 for the ratpoison window manager.  Where 9menu only responds to the mouse,
 and ignores the keyboard, ratmenu has all mouse sensitivity taken out, and only
 responds to the keyboard.  Although designed for ratpoison, it will work with
 any ICCCM compliant window manager.

=== debian/rules ===
#! /usr/bin/make -f
#

CC = gcc
CFLAGS = -O2 -Wall

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -g
endif

LDFLAGS =

SHELL = /bin/sh
srcdir = .

INSTALL = /usr/bin/install
INSTALL_PROGRAM = $(INSTALL) -m 755 -o root -g root

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  INSTALL_PROGRAM += -s
endif

INSTALL_DATA =   $(INSTALL)    -m 644 -o root -g root
INSTALL_DIR =    $(INSTALL) -d -m 755 -o root -g root
INSTALL_SCRIPT = $(INSTALL)    -m 755 -o root -g root

build:
	dh_testdir
	make CC="$(CC)" CFLAGS="$(CFLAGS)"

clean:
	dh_testdir
	-rm -f ratmenu *.o
	-rm -f stamp-config stamp-build
	-rm -rf debian/tmp* debian/files debian/substvars

binary-indep:
	true

binary-arch:
	dh_md5sums
	dh_testdir
	dh_testroot
	debian/rules build
#
#
# debian/tmp
	$(INSTALL_DIR) debian/tmp
	$(INSTALL_DIR) debian/tmp/DEBIAN
# binaries
	$(INSTALL_DIR) debian/tmp/usr/bin
	$(INSTALL_PROGRAM) ratmenu debian/tmp/usr/bin
# man pages
	$(INSTALL_DIR) debian/tmp/usr/share/man/man1
	$(INSTALL_DATA)	ratmenu.1 debian/tmp/usr/share/man/man1
	-gzip -9fr debian/tmp/usr/share/man
# documentation
	$(INSTALL_DIR) debian/tmp/usr/share/doc/ratmenu
	$(INSTALL_DATA) debian/copyright debian/tmp/usr/share/doc/ratmenu
	$(INSTALL_DATA) debian/changelog \
	  debian/tmp/usr/share/doc/ratmenu/changelog.Debian
	gzip -9 debian/tmp/usr/share/doc/ratmenu/changelog.Debian
#
	$(INSTALL_DATA) README.9menu debian/tmp/usr/share/doc/ratmenu
	$(INSTALL_DATA) LICENSE debian/tmp/usr/share/doc/ratmenu
	$(INSTALL_DATA) ChangeLog debian/tmp/usr/share/doc/ratmenu
#
# build the package
	dpkg-shlibdeps ratmenu
	dpkg-gencontrol  -isp -pratmenu -Pdebian/tmp
	dpkg --build debian/tmp ..

binary: binary-indep binary-arch

.PHONY: config build clean binary binary-arch binary-indep
